# directoryList Struct Reference

`#include <ubixfs.h>`

Collaboration diagram for directoryList:

[legend]

## Data Fields

uInt32 | dirBlock
char * | dirCache
char | dirName [256]
directoryList * | next
directoryList * | prev

## Detailed Description

Definition at line 57 of file ubixfs.h.

## Field Documentation

uInt32 directoryList::dirBlock

Definition at line 60 of file ubixfs.h.

char* directoryList::dirCache

Definition at line 59 of file ubixfs.h.

Referenced by ubixFSLoadDir().

char directoryList::dirName[256]

Definition at line 58 of file ubixfs.h.

Referenced by ubixFSLoadDir().

struct directoryList* directoryList::next

Definition at line 61 of file ubixfs.h.

Referenced by ubixFSLoadDir().

struct directoryList* directoryList::prev

Definition at line 62 of file ubixfs.h.

Referenced by ubixFSLoadDir().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixfs/ubixfs.h